package com.scm.contract.dao.apply;

import com.scm.contract.model.apply.LabelApplication;
import com.set.direwolf.core.mybatis.CrudDao;
import com.set.direwolf.core.mybatis.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/4 17:54
 */
@MyBatisDao
public interface LabelApplicationDao extends CrudDao<LabelApplication, String> {
    void tagApplyStateIdUpdate(@Param("ids")List<String> ids, @Param("tagApplyStateId") String tagApplyStateId);

    Boolean saveList(@Param("labelApplications")List<LabelApplication> labelApplications);

    List<LabelApplication> getListByIds(@Param("ids")List<String> ids);

    LabelApplication getById(@Param("id")String id);

    String getMaxOrderNo();

    int updateListById(@Param("labelApplications") List<LabelApplication> labelApplications);
}
