package com.scm.contract.dao.apply;

import com.scm.contract.model.apply.LabelApplicationDetail;
import com.set.direwolf.core.mybatis.CrudDao;
import com.set.direwolf.core.mybatis.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/19 10:08
 */

@MyBatisDao
public interface LabelApplicationDetailDao extends CrudDao<LabelApplicationDetail, String> {
    List<LabelApplicationDetail> getListByLabelApplicationId(@Param("labelApplicationId") String labelApplicationId);

    Boolean deleteListByLabelApplicationId(@Param("labelApplicationId") String labelApplicationId);

    Boolean saveList(@Param("details") List<LabelApplicationDetail> details);

    List<LabelApplicationDetail> getListByLabelApplicationIds(@Param("labelApplicationIds") List<String> labelApplicationIds);

    Boolean updatePrintBash(@Param("details") List<LabelApplicationDetail> details);

    List<LabelApplicationDetail> getPrinting(@Param("isPrint") Integer isPrint);

    List<LabelApplicationDetail> listByDetailIds(@Param("ids") List<String> ids);

    Boolean updateSendBash(@Param("details") List<LabelApplicationDetail> details);

    LabelApplicationDetail getById(@Param("id")String id);
}
