package com.scm.contract.dao.management;

import com.scm.contract.model.management.Materiel;
import com.scm.contract.model.management.MaterielCategory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/14 14:24
 */
@Mapper
public interface MaterielCategoryDao {
    List<MaterielCategory> getListBy(@Param("parentId")String parentId);

    List<MaterielCategory> listByIds(@Param("ids")List<String> ids);

    List<MaterielCategory> findList(Materiel materiel);
}
