package com.scm.contract.service.management;

import com.scm.contract.dao.management.MaterielCategoryDao;
import com.scm.contract.model.management.Materiel;
import com.scm.contract.model.management.MaterielCategory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/14 14:25
 */
@Service
public class MaterielCategoryService {

    @Autowired
    private MaterielCategoryDao materielCategoryDao;

    public List<MaterielCategory> getListBy(MaterielCategory entity) {
        String parentId = entity.getParentId();
        return this.materielCategoryDao.getListBy(parentId);
    }

    public List<MaterielCategory> findList(Materiel materiel) {
        return materielCategoryDao.findList(materiel);
    }

    public List<MaterielCategory> listByIds(List<String> ids) {
        return materielCategoryDao.listByIds(ids);
    }
}
