package com.scm.contract.service.purchase;

import com.scm.contract.dao.purchase.DictionaryTagPurchaseStateDao;
import com.scm.contract.model.apply.DictionaryLabelApplicationStatus;
import com.scm.contract.model.purchase.DictionaryTagPurchaseState;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/11 9:33
 */
@Service
public class DictionaryTagPurchaseStateService {

    @Autowired
    private DictionaryTagPurchaseStateDao tagPurchaseStateDao;

    public List<DictionaryTagPurchaseState> listByIds(List<String> ids) {
        return tagPurchaseStateDao.listByIds(ids);
    }

    public List<DictionaryTagPurchaseState> list() {
        return tagPurchaseStateDao.list();
    }
}
