package com.scm.contract;


import com.set.direwolf.core.annotation.EnableLicense;
import com.set.direwolf.security.feign.EnableDirewolfFeignClients;
import com.set.direwolf.swagger.annotation.EnableDirewolfSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;
import org.springframework.scheduling.annotation.EnableAsync;

@EnableLicense
@EnableDirewolfSwagger2
@SpringCloudApplication
@EnableDirewolfFeignClients
@EnableHystrix
@EnableAsync
@MapperScan({"com.scm.contract"})
public class ContractBizcApplication {
    public static void main(String[] args) {
        SpringApplication.run(ContractBizcApplication.class, args);
    }
}
