package com.scm.contract.dao.management;

import com.scm.contract.model.management.Materiel;
import com.set.direwolf.core.mybatis.CrudDao;
import com.set.direwolf.core.mybatis.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/13 13:57
 */

@MyBatisDao
public interface MaterielDao extends CrudDao<Materiel, String> {

    List<Materiel> list();

    List<Materiel> listByIds(@Param("ids")List<String> ids);

    Boolean updateTagType(@Param("materiels")List<Materiel> materiels);

    Materiel getById(@Param("id")String id);
}
