package com.scm.contract.dao.print;

import com.scm.contract.model.print.ReprintCode;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zuo
 * @date 2024/7/31 14:58
 */
@Mapper
public interface ReprintCodeDao {

    Boolean save(ReprintCode reprintCode);

    List<ReprintCode> getReprinting(@Param("isPrint") Integer isPrint);

    List<ReprintCode> getListByIds(@Param("ids") List<String> ids);

    Boolean updatePrintBash(@Param("reprintCodes") List<ReprintCode> reprintCodes);

    List<ReprintCode> getListBylApplicationIds(@Param("reprintLabelApplicationIds") List<String> reprintLabelApplicationIds);

    Boolean deleteById(@Param("id")String id);
}
