package com.scm.contract.dao.purchase;

import com.scm.contract.model.apply.LabelApplicationDetail;
import com.scm.contract.model.purchase.TagPurchaseDetail;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/20 11:22
 */
@Mapper
public interface TagPurchaseDetailDao {

    List<TagPurchaseDetail> getListByTagPurchaseId(@Param("tagPurchaseId") String tagPurchaseId);

    Boolean deleteListByTagPurchaseId(@Param("tagPurchaseId")String tagPurchaseId);

    Boolean saveList(@Param("details") List<TagPurchaseDetail> details);

    List<TagPurchaseDetail> getListByTagPurchaseIds(@Param("tagPurchaseIds") List<String> tagPurchaseIds);
}
