package com.scm.contract.model.apply;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @author zuo
 * @date 2024/6/5 11:16
 */

@Data
@TableName(value = "dictionary_tag_type")
public class DictionaryTagType {

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 名称
     */
    @TableField(value = "`name`")
    private String name;

    /**
     * 单价
     */
    @TableField(value = "`price`")
    private Double price;

    /**
     * 數量
     */
    @TableField(value = "`alarm`")
    private Long alarm;
}
