package com.scm.contract.service.apply;

import com.scm.contract.dao.apply.DictionaryLabelApplicationStatusDao;
import com.scm.contract.model.apply.DictionaryLabelApplicationStatus;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/5 11:18
 */
@Service
public class DictionaryLabelApplicationStatusService {

    @Autowired
    private DictionaryLabelApplicationStatusDao labelApplicationStatusDao;

    public List<DictionaryLabelApplicationStatus> listByIds(List<String> ids){
        return labelApplicationStatusDao.listByIds(ids);
    }

    public List<DictionaryLabelApplicationStatus> list(Long type){
        return labelApplicationStatusDao.list(type);
    }
}
