package com.scm.contract.web.apply;

import com.scm.contract.model.apply.DictionaryLabelApplicationStatus;
import com.scm.contract.model.management.Materiel;
import com.scm.contract.service.apply.DictionaryLabelApplicationStatusService;
import com.set.direwolf.core.web.OperationResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author zuo
 * @date 2024/6/4 17:43
 */

@Controller
@RequestMapping("${adminPath}/tag/apply/state")
public class DictionaryLabelApplicationStatusController {

    @Autowired
    private DictionaryLabelApplicationStatusService labelApplicationStatusService;


    @PostMapping("/list")
    public @ResponseBody OperationResult List(@RequestBody DictionaryLabelApplicationStatus entity) {
        Long type = entity.getType();
        return OperationResult.buildSuccessResult("获取签申领状态信息成功", labelApplicationStatusService.list(type));
    }
}
